Bug 801403 - [abrt] anjuta-3.2.0-1.fc16: Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
[abrt] anjuta-3.2.0-1.fc16: Process /usr/bin/anjuta was killed by signal 11 (...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
abrt_hash:84ff3aec5b33feef9e5ff5dda0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 08:08 EST by Ronaldo Nascimento
Modified: 2013-04-30 18:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 16:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.48 KB, text/plain)
2012-03-08 08:09 EST, Ronaldo Nascimento
no flags Details
File: build_ids (4.00 KB, text/plain)
2012-03-08 08:09 EST, Ronaldo Nascimento
no flags Details
File: maps (50.59 KB, text/plain)
2012-03-08 08:09 EST, Ronaldo Nascimento
no flags Details
File: smolt_data (5.16 KB, text/plain)
2012-03-08 08:09 EST, Ronaldo Nascimento
no flags Details
File: backtrace (45.02 KB, text/plain)
2012-03-08 08:09 EST, Ronaldo Nascimento
no flags Details

  None (edit)
Description Ronaldo Nascimento 2012-03-08 08:08:58 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        anjuta
comment:        in preferences, changing from tabs indentation to spaces. I just clicked on the checkbox to uncheck it.
crash_function: on_notify_use_tab_for_indentation
executable:     /usr/bin/anjuta
kernel:         3.2.7-1.fc16.x86_64
pid:            15882
pwd:            /home/ronaldo
reason:         Process /usr/bin/anjuta was killed by signal 11 (SIGSEGV)
time:           Thu 08 Mar 2012 06:51:53 AM EST
uid:            1000
username:       ronaldo

backtrace:      Text file, 46097 bytes
build_ids:      Text file, 4100 bytes
dso_list:       Text file, 10734 bytes
maps:           Text file, 51805 bytes
smolt_data:     Text file, 5287 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=20
:HOSTNAME=ws73147
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e73f6b480c728f5f7974dccb0000000f-1331036048.578598-1452277357
:GNOME_KEYRING_CONTROL=/tmp/keyring-IIgXkH
:IMSETTINGS_MODULE=none
:USER=ronaldo
:USERNAME=ronaldo
:MAIL=/var/spool/mail/ronaldo
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ronaldo/.local/bin:/home/ronaldo/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ronaldo
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=11264
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ronaldo
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=ronaldo
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BD3NE4xd7J,guid=0b92489d47d2edb8d5aa50f20000dd0d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/ronaldo
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-ronaldo-3eMSfG/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/11269,unix/unix:/tmp/.ICE-unix/11269
:GPG_AGENT_INFO=/tmp/keyring-IIgXkH/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-IIgXkH/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-16951-ws73147-anjuta-11_TIME227757161
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-anjuta.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=15882

var_log_messages:
:Mar  5 15:19:38 phi-ws73147 yum[7743]: Installed: 1:anjuta-3.2.0-1.fc16.x86_64
:Mar  6 08:31:33 phi-ws73147 yum[13148]: Installed: 1:anjuta-doc-3.2.0-1.fc16.noarch
:Mar  7 07:18:17 phi-ws73147 anjuta[25233]: Ignoring attempt to re-initialize GDA library.
:Mar  8 06:47:09 phi-ws73147 anjuta[15882]: Ignoring attempt to re-initialize GDA library.
:Mar  8 06:51:53 phi-ws73147 kernel: [227662.608873] anjuta[15882]: segfault at 3858011400 ip 00007fb818127c29 sp 00007fff35b71900 error 4 in libanjuta-sourceview.so[7fb818116000+19000]
:Mar  8 06:51:55 phi-ws73147 abrt[16661]: Saved core dump of pid 15882 (/usr/bin/anjuta) to /var/spool/abrt/ccpp-2012-03-08-06:51:53-15882 (186527744 bytes)

xsession_errors:
:(anjuta:15882): GLib-GIO-CRITICAL **: g_file_get_uri: assertion `G_IS_FILE (file)' failed
:(anjuta:15882): Gtk-WARNING **: Unknown property: GtkGrid.n-rows
:(anjuta:15882): Gtk-WARNING **: Unknown property: GtkGrid.n-columns
:(anjuta:15882): GLib-GObject-WARNING **: invalid cast from `GtkProgressBar' to `Sourceview'
Comment 1 Ronaldo Nascimento 2012-03-08 08:09:01 EST
Created attachment 568621 [details]
File: dso_list
Comment 2 Ronaldo Nascimento 2012-03-08 08:09:03 EST
Created attachment 568622 [details]
File: build_ids
Comment 3 Ronaldo Nascimento 2012-03-08 08:09:05 EST
Created attachment 568623 [details]
File: maps
Comment 4 Ronaldo Nascimento 2012-03-08 08:09:06 EST
Created attachment 568624 [details]
File: smolt_data
Comment 5 Ronaldo Nascimento 2012-03-08 08:09:08 EST
Created attachment 568625 [details]
File: backtrace
Comment 6 Johannes Schmid 2012-03-09 12:55:42 EST
Thanks for reporting.

Seems like a huge ref'counting issue. I am working on it...
Comment 7 Johannes Schmid 2012-03-11 16:53:20 EDT
Fixed upstream:
http://git.gnome.org/browse/anjuta/commit/?id=46999d972992c10ea973accc9e183957ba796644

The fix will be in anjuta 3.4.0 which should be in Fedora 17.

Note You need to log in before you can comment on or make changes to this bug.